
using Godot;


namespace Rokojori
{  
  [Tool]
  [GlobalClass]
  public partial class TriggerActionInEditor : Node
  {
    [Export]
    public Action action;

    [ExportToolButton( "Trigger")]
    public Callable ExecuteButton => Callable.From( () => Action.Trigger( action ) );

  }
}